Powered by Zoomin Software. For more details please contactZoomin

Use Progress Data Cloud

API integration

  • Last Updated: May 12, 2026
  • 4 minute read
    • Progress Data Cloud
    • Documentation

Note:

When accessing service endpoints programmatically, it is recommended that a service account be used.

Most Progress Data Cloud interface actions have an equivalent in the Cloud Management REST API. Access to these endpoints is restricted by role.

Management API Details:

  • From the Progress Data Cloud interface: navigation bar > Question mark icon for the Help menu > Management API.
  • API details are also available in Swagger at https://{tenancy-URL}/swagger.

Note:

Information in Swagger is available based on user permissions. Sign in to Progress Data Cloud before opening Swagger to see all information available for your account.

Additionally, each service has REST API endpoints:

Note:

If you do not see the API Details option, then you have insufficient permissions to access the API. Contact your tenant administrator for details.

REST API integration steps

Note:

If you are using an integration toolkit such as the Semaphore Java API or MarkLogic Java Client API, then check the documentation for these products to learn how to access Progress Data Cloud services, and make sure that you are using the latest toolkit versions that support Progress Data Cloud.

  1. Get the API Key from the Account Settings page if you are using your personal account, or from your tenant administrators if you are using a service account.

    Note:

    • To aid with integration, the following sample script may be used to automate API key management: API key management PowerShell script.

    • Progress Data Cloud recommends using a service account when connecting applications to service integration endpoints. The default expiry for an API key is generally longer for service accounts than for regular user accounts.

  2. Use the API key to generate a bearer token or access token by submitting a POST request to https://{tenancy-URL}/token with these parameters:

    • grant_type: apiKey

    • key: {API Key from the previous step.}

    • (Optional) duration: number of minutes that the token is valid. The maximum duration cannot be exceeded. The default value is typically 1 hour. See Default key duration for more information.

    For example:

    curl -X POST -d "grant_type=apikey&key={API_key}" "https://{tenancy-URL}/token"
    

    The access_token and its expiry are returned in the JSON response:

    {
        "statusCode": "<response status code, normally 200>",
        "access_token": "<encoded session token string>",
        "token_type": "bearer",
        "expires_in": "<number of minutes to expiry>",
        ".issued": "<date/time of session token generation>",
        ".expires": "<date/time of session token expiry>",
        "userName": "<name of user that issued the token>"
    }
    

  3. Use the access_token as Authorization header of any API calls:

    curl -H "Authorization: bearer {access_token}" https://{tenancy-URL}/ml/{target-endpoint}
    

Note:

The hostname format depends on the type of endpoint you are accessing:

  • For HTTP, XDBC, and WebDAV endpoints, use the standard hostname: <tenantDnsName>.data.progress.cloud
  • For ODBC endpoints, use the TCP-specific hostname: <tenantDnsName>-tcp.data.progress.cloud

See Connecting to an ODBC endpoint for details.

General application response

The following error codes and behavior apply to all REST API endpoints. Service integration endpoints may also respond with similar or other response codes for other reasons. Check the corresponding documentation for more information.

HTTP status codes and responses:

HTTP Status Code Meaning Action

200

Session token and request is valid.

Examine the payload to make sure that an error is not reported.

401

The session token has expired, or an invalid API key was specified (in the /token request).

Regenerate the API key (Step 2) or token (Step 3).

These events immediately invalidate any tokens:
  • API key expiration.
  • API key regeneration.
  • API key revocation.
  • Change of roles on the Progress Data Cloud account that the application is running through.

403

Access denied to the given resource (for example, insufficient permissions).

  1. Check the role settings of the Progress Data Cloud account that you are running this application through:

  2. If necessary, contact your tenant administrators to change the account's role settings.

404

Invalid request URL.

Make sure that you have the appropriate endpoint for this service.

410

The Progress Data Cloud tenancy that your application is attempting to access has expired.

Have the appropriate member of your organization reinstate your commercial agreement with Progress.

5xx

General server errors.

Ask your tenant administrators to report such errors to the Progress Data Cloud Operations Team.

TitleResults for “How to create a CRG?”Also Available inAlert